Bug 230081

Summary: Enable IPCMessages debug logging for non-Cocoa ports
Product: WebKit Reporter: Fujii Hironori <Hironori.Fujii>
Component: WebKit2Assignee: Fujii Hironori <Hironori.Fujii>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, don.olmstead, heycam, kkinnunen, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 230064    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch don.olmstead: review+

Description Fujii Hironori 2021-09-08 21:27:56 PDT
Enable IPCMessages debug logging for non-Cocoa ports

r282177 disabled IPCMessages debug logging for non-Cocoa ports.
Bug 230075 fixed the fundamental problem. Let's enable it.
Comment 1 Fujii Hironori 2021-09-08 21:42:35 PDT
Created attachment 437707 [details]
Patch
Comment 2 Cameron McCormack (:heycam) 2021-09-08 22:27:03 PDT
Not a reviewer, but this looks OK to me.
Comment 3 Don Olmstead 2021-09-09 08:50:19 PDT
Comment on attachment 437707 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=437707&action=review

> Source/WebKit/Scripts/webkit/tests/MessageArgumentDescriptions.cpp:135
> +#if ENABLE(IPC_TESTING_API)

Feel that whatever the guards are in this file should also be in the header so things are compile errors rather than linker.

Agree with Alex on the r+
Comment 4 Don Olmstead 2021-09-09 08:56:41 PDT
One additional issue though that I saw when I was working through this after that build break was that if you actually enable the ipc testing on Windows the build would fail because

https://github.com/WebKit/WebKit/blob/main/Source/WebKit/Platform/IPC/JSIPCBinding.h#L94-L95

ends up being multiply defined due to the typedefs of those two being the same.
Comment 5 Fujii Hironori 2021-09-09 12:59:24 PDT
Comment on attachment 437707 [details]
Patch

Clearing flags on attachment: 437707

Committed r282236 (241520@main): <https://commits.webkit.org/241520@main>
Comment 6 Fujii Hironori 2021-09-09 12:59:28 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2021-09-09 13:00:19 PDT
<rdar://problem/82939596>
Comment 8 Fujii Hironori 2021-09-09 13:02:53 PDT
(In reply to Don Olmstead from comment #3)
> Feel that whatever the guards are in this file should also be in the header
> so things are compile errors rather than linker.

Oops. I overlooked this review comment. Reopened to attach one more patch.
Comment 9 Fujii Hironori 2021-09-09 13:45:21 PDT
Created attachment 437777 [details]
Patch
Comment 10 Fujii Hironori 2021-09-09 13:56:13 PDT
(In reply to Don Olmstead from comment #4)
> One additional issue though that I saw when I was working through this after
> that build break was that if you actually enable the ipc testing on Windows
> the build would fail because
> 
> https://github.com/WebKit/WebKit/blob/main/Source/WebKit/Platform/IPC/
> JSIPCBinding.h#L94-L95
> 
> ends up being multiply defined due to the typedefs of those two being the
> same.

Yup. I know. IPC_TESTING_API adds some JS API. But, there are no test cases in OpenSource. It seems usable only for Apple.
Comment 11 Fujii Hironori 2021-09-14 13:14:40 PDT
Committed r282406 (241667@main): <https://commits.webkit.org/241667@main>